/*
* Copyright (c) 2011, 2013, Oracle and/or its affiliates. All rights reserved.
* ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
*/
package com.sun.ts.tests.jpa.common.pluggability.altprovider.implementation;

public class EntityTransactionImpl implements javax.persistence.EntityTransaction {
    protected boolean isActive;
    	protected TSLogger logger;

	public EntityTransactionImpl() {
				logger = TSLogger.getInstance();
        isActive=false;
	}

	@Override
	public void begin() {
		        isActive=true;
	}

	@Override
	public void commit() {
		        isActive=false;
	}

	@Override
	public boolean getRollbackOnly() {
				return false;
	}

	@Override
	public boolean isActive() {
				return this.isActive;
	}

	@Override
	public void rollback() {

	}

	@Override
	public void setRollbackOnly() {

	}

}
